/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package pe.siso.horario.Beans;

/**
 *
 * @author sistem16user
 */
public class Docente {
    
public String cod_pro;
public String nom_pro;
public String ape_pro;
public int cod_tip;
public String est_pro;
public String dni;
public String codDocenteId;

public String telefono;
public String correo;
public String zona;
public String codDato;
public String notaExamen;
public String notaEncuesta;
public String notaPlana;
public String notaPromedio;
public String nombrePlanaAsiste;

    public String getNombrePlanaAsiste() {
        return nombrePlanaAsiste;
    }

    public void setNombrePlanaAsiste(String nombrePlanaAsiste) {
        this.nombrePlanaAsiste = nombrePlanaAsiste;
    }



	public String getNotaPlana() {
		return notaPlana;
	}

	public void setNotaPlana(String notaPlana) {
		this.notaPlana = notaPlana;
	}

	public String getNotaPromedio() {
		return notaPromedio;
	}

	public void setNotaPromedio(String notaPromedio) {
		this.notaPromedio = notaPromedio;
	}

//nuevos dato
public int codigoDep;
public int codigoPro;
public int codigoDis;
public String nombreDep;
public String nombrePro;
public String nombreDDis;
public String direccion;
public String cell;
public String nombreArea;
public String nombrePlana;
public String nombreCurso;

// DOCENTES PRIMARIA

public String codigoDocentePrimaria;
public String nombreDocentePrimaria;
public String apellidosDocentePrimaria;

public String cadenaCodigoDocenteSec;
public String cadenaCodigoDocentePri;

public String codigoInforme;
public String codigoDocente;
public String nombreDocente;
public String motivo;
public String argumento;
public String codigoSede;
public String nombreSede;
public String fechaInforme;
public String respuestaInforme;
public String estadoInforme;

public String codigoEncuesta;
public String nombreEncuesta;
public String estado;
public String puntaje;
public int cantHijos;

    public int getCantHijos() {
        return cantHijos;
    }

    public void setCantHijos(int cantHijos) {
        this.cantHijos = cantHijos;
    }



public String codigoCargo;

private String codigoCoordinadorPlana;

private int cantidad;

    public int getCantidad() {
        return cantidad;
    }

    public void setCantidad(int cantidad) {
        this.cantidad = cantidad;
    }


    public String getNotaExamen() {
        return notaExamen;
    }

    public void setNotaExamen(String notaExamen) {
        this.notaExamen = notaExamen;
    }

    public String getNotaEncuesta() {
        return notaEncuesta;
    }

    public void setNotaEncuesta(String notaEncuesta) {
        this.notaEncuesta = notaEncuesta;
    }



    public String getNombreCurso() {
        return nombreCurso;
    }

    public void setNombreCurso(String nombreCurso) {
        this.nombreCurso = nombreCurso;
    }

    
    public String getCodigoDocentePrimaria() {
        return codigoDocentePrimaria;
    }

    public void setCodigoDocentePrimaria(String codigoDocentePrimaria) {
        this.codigoDocentePrimaria = codigoDocentePrimaria;
    }

    public String getNombreDocentePrimaria() {
        return nombreDocentePrimaria;
    }

    public void setNombreDocentePrimaria(String nombreDocentePrimaria) {
        this.nombreDocentePrimaria = nombreDocentePrimaria;
    }

    public String getApellidosDocentePrimaria() {
        return apellidosDocentePrimaria;
    }

    public void setApellidosDocentePrimaria(String apellidosDocentePrimaria) {
        this.apellidosDocentePrimaria = apellidosDocentePrimaria;
    }


    public String getDireccion() {
        return direccion;
    }

    public void setDireccion(String direccion) {
        this.direccion = direccion;
    }

    public String getCell() {
        return cell;
    }

    public void setCell(String cell) {
        this.cell = cell;
    }


    public int getCodigoDep() {
        return codigoDep;
    }

    public void setCodigoDep(int codigoDep) {
        this.codigoDep = codigoDep;
    }

    public int getCodigoPro() {
        return codigoPro;
    }

    public void setCodigoPro(int codigoPro) {
        this.codigoPro = codigoPro;
    }

    public int getCodigoDis() {
        return codigoDis;
    }

    public void setCodigoDis(int codigoDis) {
        this.codigoDis = codigoDis;
    }

    public String getNombreDep() {
        return nombreDep;
    }

    public void setNombreDep(String nombreDep) {
        this.nombreDep = nombreDep;
    }

    public String getNombrePro() {
        return nombrePro;
    }

    public void setNombrePro(String nombrePro) {
        this.nombrePro = nombrePro;
    }

    public String getNombreDDis() {
        return nombreDDis;
    }

    public void setNombreDDis(String nombreDDis) {
        this.nombreDDis = nombreDDis;
    }


    public String getCodDato() {
        return codDato;
    }

    public void setCodDato(String codDato) {
        this.codDato = codDato;
    }

    public String getTelefono() {
        return telefono;
    }

    public void setTelefono(String telefono) {
        this.telefono = telefono;
    }

    public String getCorreo() {
        return correo;
    }

    public void setCorreo(String correo) {
        this.correo = correo;
    }

    public String getZona() {
        return zona;
    }

    public void setZona(String zona) {
        this.zona = zona;
    }

    public String getCodDocenteId() {
        return codDocenteId;
    }

    public void setCodDocenteId(String codDocenteId) {
        this.codDocenteId = codDocenteId;
    }

    public String getDni() {
        return dni;
    }

    public void setDni(String dni) {
        this.dni = dni;
    }

    public String getCod_pro() {
        return cod_pro;
    }

    public void setCod_pro(String cod_pro) {
        this.cod_pro = cod_pro;
    }

    public String getNom_pro() {
        return nom_pro;
    }

    public void setNom_pro(String nom_pro) {
        this.nom_pro = nom_pro;
    }

    public String getApe_pro() {
        return ape_pro;
    }

    public void setApe_pro(String ape_pro) {
        this.ape_pro = ape_pro;
    }
		
		public String nombreDocente(){
		 return ape_pro+ " "+ nom_pro;
		}
		

    public int getCod_tip() {
        return cod_tip;
    }

    public void setCod_tip(int cod_tip) {
        this.cod_tip = cod_tip;
    }

    public String getEst_pro() {
        return est_pro;
    }

    public void setEst_pro(String est_pro) {
        this.est_pro = est_pro;
    }

    public String getCadenaCodigoDocenteSec() {
        return cadenaCodigoDocenteSec;
    }

    public void setCadenaCodigoDocenteSec(String cadenaCodigoDocenteSec) {
        this.cadenaCodigoDocenteSec = cadenaCodigoDocenteSec;
    }

    public String getCadenaCodigoDocentePri() {
        return cadenaCodigoDocentePri;
    }

    public void setCadenaCodigoDocentePri(String cadenaCodigoDocentePri) {
        this.cadenaCodigoDocentePri = cadenaCodigoDocentePri;
    }

    public String getCodigoDocente() {
        return codigoDocente;
    }

    public void setCodigoDocente(String codigoDocente) {
        this.codigoDocente = codigoDocente;
    }

    public String getNombreDocente() {
        return nombreDocente;
    }

    public void setNombreDocente(String nombreDocente) {
        this.nombreDocente = nombreDocente;
    }

    public String getMotivo() {
        return motivo;
    }

    public void setMotivo(String motivo) {
        this.motivo = motivo;
    }

    public String getArgumento() {
        return argumento;
    }

    public void setArgumento(String argumento) {
        this.argumento = argumento;
    }

    public String getCodigoSede() {
        return codigoSede;
    }

    public void setCodigoSede(String codigoSede) {
        this.codigoSede = codigoSede;
    }

    public String getNombreSede() {
        return nombreSede;
    }

    public void setNombreSede(String nombreSede) {
        this.nombreSede = nombreSede;
    }

    public String getFechaInforme() {
        return fechaInforme;
    }

    public void setFechaInforme(String fechaInforme) {
        this.fechaInforme = fechaInforme;
    }

    public String getRespuestaInforme() {
        return respuestaInforme;
    }

    public void setRespuestaInforme(String respuestaInforme) {
        this.respuestaInforme = respuestaInforme;
    }

    public String getEstadoInforme() {
        return estadoInforme;
    }

    public void setEstadoInforme(String estadoInforme) {
        this.estadoInforme = estadoInforme;
    }

    public String getCodigoInforme() {
        return codigoInforme;
    }

    public void setCodigoInforme(String codigoInforme) {
        this.codigoInforme = codigoInforme;
    }

    public String getCodigoEncuesta() {
        return codigoEncuesta;
    }

    public void setCodigoEncuesta(String codigoEncuesta) {
        this.codigoEncuesta = codigoEncuesta;
    }

    public String getNombreEncuesta() {
        return nombreEncuesta;
    }

    public void setNombreEncuesta(String nombreEncuesta) {
        this.nombreEncuesta = nombreEncuesta;
    }

    public String getEstado() {
        return estado;
    }

    public void setEstado(String estado) {
        this.estado = estado;
    }

    public String getPuntaje() {
        return puntaje;
    }

    public void setPuntaje(String puntaje) {
        this.puntaje = puntaje;
    }

    public String getCodigoCargo() {
        return codigoCargo;
    }

    public void setCodigoCargo(String codigoCargo) {
        this.codigoCargo = codigoCargo;
    }

    public String getNombreArea() {
        return nombreArea;
    }

    public void setNombreArea(String nombreArea) {
        this.nombreArea = nombreArea;
    }

    public String getNombrePlana() {
        return nombrePlana;
    }

    public void setNombrePlana(String nombrePlana) {
        this.nombrePlana = nombrePlana;
    }

    public String getCodigoCoordinadorPlana() {
        return codigoCoordinadorPlana;
    }

    public void setCodigoCoordinadorPlana(String codigoCoordinadorPlana) {
        this.codigoCoordinadorPlana = codigoCoordinadorPlana;
    }

    
}
